﻿@page
@model ASP.Net_Core_Fundamentals.Pages.R2.EditModel

@{
    ViewData["Title"] = "Edit";
}

<h2>Edit</h2>

<h4>Restaurant</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Restaurant.Id" />
            <div class="form-group">
                <label asp-for="Restaurant.Name" class="control-label"></label>
                <input asp-for="Restaurant.Name" class="form-control" />
                <span asp-validation-for="Restaurant.Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Restaurant.Location" class="control-label"></label>
                <input asp-for="Restaurant.Location" class="form-control" />
                <span asp-validation-for="Restaurant.Location" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Restaurant.Cuisine" class="control-label"></label>
                <select asp-for="Restaurant.Cuisine" class="form-control"></select>
                <span asp-validation-for="Restaurant.Cuisine" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-page="./Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
